=== debian/changelog ===
lxqt-session (0.9.0+20150807-2) unstable; urgency=medium

  * rename lxqt-session.manpages to manpages 
  * allow build on non-linux platforms (Thanks Pino Toscano)
    (Closes: #803656) 
  * Added lintian-overrides for invalid category
  * fix some wording of debian/copyright
  * Fixed some copyright dates

 -- Alf Gaida <agaida@siduction.org>  Thu, 12 Nov 2015 20:06:24 +0100

lxqt-session (0.9.0+20150807-1) unstable; urgency=low

  * Initial release (Closes: #747608)

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 12 Sep 2015 00:05:13 +0800
