=== debian/control ===
Source: lxqt-session
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake (>= 3.0.2),
               libkf5windowsystem-dev,
               liblxqt0-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev,
               libudev-dev [linux-any],
               libx11-dev,
               pkg-config,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/lxqt-session.git
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/lxqt-session.git
Homepage: https://github.com/lxde/lxqt-session

Package: lxqt-session
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         x11-xkb-utils
Pre-Depends: lxqt-common
Provides: x-session-manager
Description: session manager component for LXQt
 LXQt is an advanced, easy-to-use, and fast desktop environment based on
 Qt technologies.  It has been tailored for users who value simplicity,
 speed, and an intuitive interface.  Unlike most desktop environments,
 LXQt also works fine with less powerful machines.
 .
 This package contain the session manager component.

Package: lxqt-session-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends},
         lxqt-session (= ${binary:Version})
Description: session manager component for LXQt (debug symbols)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on
 Qt technologies. It has been tailored for users who value simplicity,
 speed, and an intuitive interface. Unlike most desktop environments,
 LXQt also works fine with less powerful machines.
 .
 This package contain the debugging symbols.
