=== debian/watch ===
version=3
https://github.com/lxde/lxqt-session/releases .*/([\d\.]+).tar.gz
