=== lxqt-config-session/CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,10 @@
     autostartmodel.h
     autostartitem.h
     autostartedit.h
+    autostartutils.h
     defaultappspage.h
     environmentpage.h
+    userlocationspage.h
 )
 
 set(lxqt-sessioncfg_SRCS
@@ -22,8 +24,10 @@
     autostartmodel.cpp
     autostartitem.cpp
     autostartedit.cpp
+    autostartutils.cpp
     defaultappspage.cpp
     environmentpage.cpp
+    userlocationspage.cpp
     ../lxqt-session/src/windowmanager.cpp
 )
 
@@ -76,3 +80,8 @@
          "${CMAKE_INSTALL_DATAROOTDIR}/applications"
     COMPONENT Runtime
 )
+install(FILES
+    man/lxqt-config-session.1
+    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
+    COMPONENT Runtime
+)
