=== lxqt-session/CMakeLists.txt ===
--- 
+++ 
@@ -4,11 +4,12 @@
    set(CMAKE_BUILD_TYPE Release)
 endif()
 
-if(NOT DEFINED LIBUDEV_MONITOR OR LIBUDEV_MONITOR)
+if(LIBUDEV_MONITOR)
     set(LIBUDEV_MONITOR Yes)
 
     find_package(PkgConfig)
     pkg_check_modules(LIBUDEV REQUIRED libudev)
+    include_directories(${LIBUDEV_INCLUDE_DIRS})
 
     add_definitions(-DWITH_LIBUDEV_MONITOR)
 endif()
@@ -30,6 +31,8 @@
     src/windowmanager.cpp
     src/sessionapplication.cpp
     src/sessiondbusadaptor.h
+    src/numlock.cpp
+    src/numlock.h
 )
 if(LIBUDEV_MONITOR)
     list(APPEND lxqt-session_SRCS src/UdevNotifier.cpp)
@@ -63,13 +66,13 @@
     Qt5::Widgets
     Qt5::DBus
     Qt5::X11Extras
-    ${XCB_LIBRARIES}
-    ${X11_LIBRARIES}
+    ${XCB_LDFLAGS}
+    X11
     lxqt
     KF5::WindowSystem
 )
 if(LIBUDEV_MONITOR)
-    target_link_libraries(lxqt-session ${LIBUDEV_LIBRARIES})
+    target_link_libraries(lxqt-session ${LIBUDEV_LDFLAGS})
 endif()
 
 INSTALL(TARGETS
@@ -77,3 +80,8 @@
     RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
     COMPONENT Runtime
 )
+install(FILES
+    man/lxqt-session.1
+    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
+    COMPONENT Runtime
+)
