=== debian/changelog ===
lxqt-session (0.10.0-1ubuntu1) xenial; urgency=medium

  * Merge from Debian experimental. Ubuntu remaining changes:
  * debian/postinst & debian/prerm
   - Use lxqt-session directly, so lxqt-common is not a hard dependency.
  * debian/control:
   - Remove Pre-Depends on lxqt-common.

 -- Julien Lavergne <gilir@ubuntu.com>  Sat, 14 Nov 2015 17:29:19 +0100

lxqt-session (0.10.0-1) experimental; urgency=medium

  * Cherry-picking upstream version 0.10.0.
  * set new minimum version for liblxqt

 -- Alf Gaida <agaida@siduction.org>  Wed, 04 Nov 2015 21:46:21 +0100

lxqt-session (0.9.0+20151031-2) experimental; urgency=medium

  * rename lxqt-session.manpages to manpages 
  * allow build on non-linux platforms (Thanks Pino Toscano)
    (Closes: #803656) 

 -- Alf Gaida <agaida@siduction.org>  Sun, 01 Nov 2015 19:39:39 +0100

lxqt-session (0.9.0+20151031-1) experimental; urgency=medium

  * Cherry-picking upstream version 0.9.0+20151031.
  * set new minimal versions for liblxqt and libqtxdg
  * Added upstream signing key and use it in watch file
  * Added lintian-overrides for invalid category
  * fix some wording of debian/copyright
  * Fixed some copyright dates

 -- Alf Gaida <agaida@siduction.org>  Sat, 24 Oct 2015 13:00:16 +0200
