=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: lxqt-session
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
@@ -8,9 +9,9 @@
 Build-Depends: debhelper (>= 9),
                cmake (>= 3.0.2),
                libkf5windowsystem-dev,
-               liblxqt0-dev,
+               liblxqt0-dev (>= 0.10.0),
                libqt5x11extras5-dev,
-               libqt5xdg-dev,
+               libqt5xdg-dev (>= 1.3.0),
                libudev-dev [linux-any],
                libx11-dev,
                pkg-config,
@@ -26,7 +27,6 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          x11-xkb-utils
-Pre-Depends: lxqt-common
 Provides: x-session-manager
 Description: session manager component for LXQt
  LXQt is an advanced, easy-to-use, and fast desktop environment based on
