=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

ifneq ($(DEB_HOST_ARCH_OS),linux)
  CMAKE_ARGS += -DLIBUDEV_MONITOR=OFF
endif

%:
	dh ${@} --buildsystem cmake --parallel

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_ARGS)

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/lxqt-session

override_dh_strip:
	dh_strip --dbg-package=lxqt-session-dbg
