## lxqt-session 0.11.0

=== debian/changelog ===
lxqt-session (0.11.0-2ubuntu1) zesty; urgency=medium

  * Sync with Debian (LP: #1635701). Remaining changes:
    - debian/control: Don't depend on lxqt-common
    - debian/postinst & debian/prerm
      + Use lxqt-session directly, so lxqt-common is not a hard dependency.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 14 Dec 2016 11:37:32 -0500

lxqt-session (0.11.0-2) unstable; urgency=medium

  * Cherry-picking upstream release 0.11.0
  * Synced debian foo with experimental
  * Bumped Standards to 3.9.8, no changes needed
  * Bumped compat to 10
  * Removed --parallel from rules, standard in compat 10
  * Bumped build dependency debhelper (>= 10)
  * Bumped minimum version libqtxdg-dev (>= 2.0.0)
  * Bumped minimum version liblxqt-dev (>= 0.11.0)
  * Added build dependency libqt5svg5-dev
  * Added build dependency libqtxdgiconloader-dev
  * Added build dependency xdg-user-dirs
  * Move Pre-Depends lxqt-common to Depends 
  * Added Depends x11-xkb-utils
  * Added Recommends lxqt-session-l10n
  * Fixed copyrights Format field to https
  * Fixed VCS fields, using plain /git/
  * Fixed VCS fields, point to the right branch 
  * Added new files and license to copyright
  * Changed LIBUDEV_MONITOR to WITH_LIBUDEV
  * Added translation control to rules
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo
  * Exported LC_ALL=C.UTF-8, make builds reproducible

 -- Alf Gaida <agaida@siduction.org>  Tue, 18 Oct 2016 18:14:53 +0200

lxqt-session (0.10.0-4) unstable; urgency=medium

  * turn LIBUDEV_MONITOR on for linux, thanks RalfJ
  * Fix years in copyright
  * Bump Standards to 3.9.7
  * Use secure VCS-Fields 
  * Added hardening=+all 

 -- Alf Gaida <agaida@siduction.org>  Wed, 23 Mar 2016 18:46:14 +0100

lxqt-session (0.10.0-3) unstable; urgency=medium

  * Remove dbg package in favor of dbgsym.

 -- Alf Gaida <agaida@siduction.org>  Sat, 26 Dec 2015 23:31:49 +0100

lxqt-session (0.10.0-2) unstable; urgency=medium

  * Merge from experimental.
  * New upstream release.
  * Set new minimum version for liblxqt.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 19 Nov 2015 23:59:38 +0800
