=== debian/control ===
Source: lxqt-session
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 10),
               cmake (>= 3.0.2),
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.11.0),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 2.0.0),
               libqt5xdgiconloader-dev (>= 2.0.0),
               libudev-dev [linux-any],
               libx11-dev,
               pkg-config,
               qttools5-dev,
               qttools5-dev-tools,
               xdg-user-dirs
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-session.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-session.git -b debian/sid
Homepage: https://github.com/lxde/lxqt-session

Package: lxqt-session
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
#         lxqt-common,
         x11-xkb-utils
Recommends: lxqt-session-l10n
Provides: x-session-manager
Description: session manager component for LXQt
 LXQt is an advanced, easy-to-use, and fast desktop environment based on
 Qt technologies.  It has been tailored for users who value simplicity,
 speed, and an intuitive interface.  Unlike most desktop environments,
 LXQt also works fine with less powerful machines.
 .
 This package contain the session manager component.
