=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/lxqt-session/releases .*/lxqt-session-([\d\.]+).tar.xz
