=== debian/changelog ===
lxqt-session (0.12.0-5) unstable; urgency=medium

  * Bumped Standards to 4.1.2, no changes needed
  * Removed branch from VCS fields

 -- Alf Gaida <agaida@siduction.org>  Thu, 14 Dec 2017 22:58:32 +0100

lxqt-session (0.12.0-4) unstable; urgency=medium

  * Transition to unstable 

 -- Alf Gaida <agaida@siduction.org>  Tue, 05 Dec 2017 00:29:14 +0100

lxqt-session (0.12.0-3) experimental; urgency=medium

  * Added upstream pull request for moving upstream configurations
    to /usr/share/lxqt (Closes: #883033)

 -- Alf Gaida <agaida@siduction.org>  Fri, 01 Dec 2017 21:54:55 +0100

lxqt-session (0.12.0-2) experimental; urgency=medium

  * Added upstream pull request for improved xdg handling (Closes: #883032).

 -- Alf Gaida <agaida@siduction.org>  Fri, 01 Dec 2017 21:53:35 +0100

lxqt-session (0.12.0-1) experimental; urgency=medium

  * Cherry-picking upstream release 0.12.0.
  * Switched to experimental
  * Bumped Standards to 4.1.1 - no changes needed
  * Bumped liblxqt dependency to >= 0.12.0
  * Breaks and Replaces lxqt-common << 0.12.0
  * Added dependency to lxqt-themes | lxqt-theme instead

 -- Alf Gaida <agaida@siduction.org>  Tue, 24 Oct 2017 21:17:51 +0200

lxqt-session (0.11.1-6) unstable; urgency=medium

  * Moved lxqt-qtplugin to dependencies (Closes: #870138)

 -- Alf Gaida <agaida@siduction.org>  Sun, 06 Aug 2017 00:09:36 +0200

lxqt-session (0.11.1-5) unstable; urgency=medium

  * Fixed qps dependency to [linux-any] (Closes: #842649)
  * Recommends lxqt-notificationd (Closes: #866887)
  * Indirectly depend on desktop-file-utils via liblxqt (Closes: #866899)
  * Remove alternative gksu, see #867236 "Unsuitable for release in buster"

 -- Alf Gaida <agaida@siduction.org>  Wed, 05 Jul 2017 02:25:34 +0200

lxqt-session (0.11.1-4) unstable; urgency=medium

  * Added pcmanfm-qt to Recommends - the session should recommend at least one
    application that is able to paint/manage the desktop.

 -- Alf Gaida <agaida@siduction.org>  Sun, 02 Jul 2017 16:01:48 +0200

lxqt-session (0.11.1-3) unstable; urgency=medium

  * Bumped Standards to 4.0.0 - no changes needed
  * Added to Recommends: lxqt-qtplugin and lxqt-policykit
    (Closes: #866344) 
  * Added to Recommends: lxqt-config (Closes: #866346)
  * Added to Recommends: lxqt-powermanagement (Closes: #866651)
  * Added to Recommends: lxqt-sudo | gksu (Closes: #866650)
    One graphical sudo should be enough on a system - we leave out
    the ancient kdesudo for a reason.
  * Added to Recommends: qps and qlipper (Closes: #866648)

 -- Alf Gaida <agaida@siduction.org>  Fri, 30 Jun 2017 19:00:49 +0200
