=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-DPULL_TRANSLATIONS=OFF\
-		-DUPDATE_TRANSLATIONS=OFF\
-		-DCMAKE_BUILD_TYPE=RelWithDebInfo\
+		-DPULL_TRANSLATIONS=OFF \
+		-DUPDATE_TRANSLATIONS=OFF \
+		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
 		$(CMAKE_ARGS)
