=== lxqt-config-session/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-project(lxqt-config-session)
+set(LXQT_CONFIG_SESSION_PROJECT_NAME "lxqt-config-session")
 
 
 set(lxqt-sessioncfg_HDRS
@@ -48,7 +48,7 @@
         ${lxqt-sessioncfg_SRCS}
         ${lxqt-sessioncfg_UI_FILES}
     INSTALL_DIR
-        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
+        "${LXQT_TRANSLATIONS_DIR}/${LXQT_CONFIG_SESSION_PROJECT_NAME}"
     PULL_TRANSLATIONS
         ${PULL_TRANSLATIONS}
     CLEAN_TRANSLATIONS
@@ -58,10 +58,10 @@
     TRANSLATIONS_REFSPEC
         ${TRANSLATIONS_REFSPEC}
     REPO_SUBDIR
-        "lxqt-session/${PROJECT_NAME}"
+        "lxqt-session/${LXQT_CONFIG_SESSION_PROJECT_NAME}"
 )
 
-lxqt_app_translation_loader(lxqt-sessioncfg_QM_LOADER ${PROJECT_NAME})
+lxqt_app_translation_loader(lxqt-sessioncfg_QM_LOADER ${LXQT_CONFIG_SESSION_PROJECT_NAME})
 lxqt_translate_desktop(lxqt-sessioncfg_DESKTOP_FILES SOURCES lxqt-config-session.desktop.in)
 
 add_executable(lxqt-config-session
