=== lxqt-leave/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-project(lxqt-leave)
+set(LXQT_LEAVE_PROJECT_NAME "lxqt-leave")
 
 set(CPP_FILES
     main.cpp
@@ -36,7 +36,7 @@
         ${UI_FILES}
         ${H_FILES}
     INSTALL_DIR
-        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
+        "${LXQT_TRANSLATIONS_DIR}/${LXQT_LEAVE_PROJECT_NAME}"
     PULL_TRANSLATIONS
         ${PULL_TRANSLATIONS}
     CLEAN_TRANSLATIONS
@@ -46,10 +46,10 @@
     TRANSLATIONS_REFSPEC
         ${TRANSLATIONS_REFSPEC}
     REPO_SUBDIR
-        "lxqt-session/${PROJECT_NAME}"
+        "lxqt-session/${LXQT_LEAVE_PROJECT_NAME}"
 )
 
-lxqt_app_translation_loader(lxqt-leave_QM_LOADER ${PROJECT_NAME})
+lxqt_app_translation_loader(lxqt-leave_QM_LOADER ${LXQT_LEAVE_PROJECT_NAME})
 #************************************************
