=== lxqt-session/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
-cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
-project(lxqt-session)
+set(LXQT_SESSION_PROJECT_NAME "lxqt-session")
 
 if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
@@ -47,7 +46,7 @@
         ${lxqt-session_SRCS}
         ${lxqt-session_UI}
     INSTALL_DIR
-        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
+        "${LXQT_TRANSLATIONS_DIR}/${LXQT_SESSION_PROJECT_NAME}"
     PULL_TRANSLATIONS
         ${PULL_TRANSLATIONS}
     CLEAN_TRANSLATIONS
@@ -57,9 +56,9 @@
     TRANSLATIONS_REFSPEC
         ${TRANSLATIONS_REFSPEC}
     REPO_SUBDIR
-        "lxqt-session/${PROJECT_NAME}"
+        "lxqt-session/${LXQT_SESSION_PROJECT_NAME}"
 )
-lxqt_app_translation_loader(lxqt-session_QM_LOADER ${PROJECT_NAME})
+lxqt_app_translation_loader(lxqt-session_QM_LOADER ${LXQT_SESSION_PROJECT_NAME})
 
 add_executable(lxqt-session
     ${lxqt-session_SRCS}
