=== debian/changelog ===
lxqt-session (0.13.0-3~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 08 Oct 2018 15:43:13 -0700

lxqt-session (0.13.0-3) unstable; urgency=medium

  * Fixed typo in patch description

 -- Alf Gaida <agaida@siduction.org>  Sat, 07 Jul 2018 19:32:29 +0200

lxqt-session (0.13.0-2) unstable; urgency=medium

  * Use x-window-manager as default WM (Closes: #900430)

 -- Alf Gaida <agaida@siduction.org>  Sat, 16 Jun 2018 11:00:23 +0200

lxqt-session (0.13.0-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.13.0.
  * Bumped build dependency liblxqt0-dev to >= 0.13.0~
  * Removed patches - applied upstream

 -- Alf Gaida <agaida@siduction.org>  Thu, 24 May 2018 23:56:43 +0200

lxqt-session (0.12.0-6) unstable; urgency=medium

  * Bumped compat to 11
  * Bumped debhelper to >= 11~
  * Bumped Standards to 4.1.4, no changes needed
  * Changed VCS fields for salsa
  * Changed Homepage, Source and watch to lxqt
  * Bumped years in copyright
  * Removed trailing whitespaces in changelog

 -- Alf Gaida <agaida@siduction.org>  Sat, 28 Apr 2018 16:29:59 +0200
