=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: lxqt-session
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.12.0),
+               liblxqt0-dev (>= 0.13.0~),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libudev-dev [linux-any],
                libx11-dev,
                xdg-user-dirs
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-session.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-session.git
-Homepage: https://github.com/lxde/lxqt-session
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-session
+Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-session.git
+Homepage: https://github.com/lxqt/lxqt-session
 
 Package: lxqt-session
 Architecture: any
