## lxqt-session 0.14.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,9 @@
-cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
-
+cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
+# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
+# CMakeLists.txt file even before calling the project() command.
+# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
+# command to specify that the current project code is written for the given range of CMake
+# versions.
 project(lxqt-session)
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
@@ -14,24 +18,22 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 option(WITH_LIBUDEV "Build with libudev support" ON)
 
+# Minimum Versions
+set(KF5_MINIMUM_VERSION "5.36.0")
+set(LXQT_MINIMUM_VERSION "0.14.0")
+set(QT_MINIMUM_VERSION "5.7.1")
+
+find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt5X11Extras ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(KF5WindowSystem ${KF5_MINIMUM_VERSION} REQUIRED)
+find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
 find_package(X11 REQUIRED)
-
-find_package(Qt5DBus REQUIRED)
-find_package(Qt5LinguistTools REQUIRED)
-find_package(Qt5Widgets REQUIRED)
-find_package(Qt5X11Extras REQUIRED)
 message(STATUS "Building with Qt${Qt5Core_VERSION}")
-
-find_package(KF5WindowSystem REQUIRED)
-
-find_package(lxqt REQUIRED)
 
 # Please don't move, must be after lxqt
 find_package(XdgUserDirs REQUIRED)
-
-if(NOT CMAKE_BUILD_TYPE)
-    set(CMAKE_BUILD_TYPE Release)
-endif()
 
 # Patch Version
 set(LXQT_SESSION_PATCH_VERSION 0)
@@ -39,7 +41,10 @@
 set(LXQT_SESSION_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_SESSION_PATCH_VERSION})
 add_definitions(
     "-DLXQT_SESSION_VERSION=\"${LXQT_SESSION_VERSION}\""
-    "-DQT_NO_FOREACH"
+    "-DQT_NO_CAST_FROM_ASCII"
+    "-DQT_NO_CAST_TO_ASCII"
+    "-DQT_NO_URL_CAST_FROM_STRING"
+    "-DQT_NO_CAST_FROM_BYTEARRAY"
 )
 
 include(LXQtPreventInSourceBuilds)
