=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: lxqt-session
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.13.0~),
+               liblxqt0-dev (>= 0.14.0~),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libudev-dev [linux-any],
                libx11-dev,
                xdg-user-dirs
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-session
 Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-session.git
 Homepage: https://github.com/lxqt/lxqt-session
@@ -46,3 +45,14 @@
  LXQt also works fine with less powerful machines.
  .
  This package contain the session manager component.
+
+Package: lxqt-session-l10n
+Architecture: all
+Multi-Arch: foreign
+Section: localization
+Depends: ${misc:Depends},
+         qttranslations5-l10n
+Breaks: lxqt-session (<< 0.11.0)
+Replaces: lxqt-session (<< 0.11.0)
+Description: Language package for lxqt-session
+ This package contains the l10n files needed by the lxqt-session.
